<?php

declare(strict_types=1);

namespace App\Controller;

use chillerlan\QRCode\QRCode;
use Nucleos\DompdfBundle\Factory\DompdfFactory;
use Nucleos\DompdfBundle\Wrapper\DompdfWrapper;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Filesystem\Filesystem;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class TestController extends AbstractController
{
    #[Route('/test')]
    public function index(Filesystem $filesystem): Response
    {
        $filesystem->dumpFile('test.pdf', $content);

        return $this->render('test.html.twig', ['qr' => (new QRCode())->render('https://www.google.com')]);
    }
}
